QGIS Application - Bug report #12603
Adding a node to overlapping lines in topological mode no longer works
2015-04-18 08:08 PM - Nathan Edgars Il

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 20724
Description

It used to be (back in "Valmiera") that when two lines overlapped (sharing at least two nodes), adding a node along the overlap in
topological editing mode would add it to both. But now ("Wien") it only adds it to one, as if topological mode were off. This may be related
to another new problem: if one line ends at another, dragging the node from the continuing line doesn't always drag it for the ending line.

History

#1 - 2015-04-19 03:32 AM - Giovanni Manghi
- Category set to Digitising
- Status changed from Open to Feedback

| cannot confirm both issues on qgis master, can you give it a try and report back? thanks.

#2 - 2015-04-19 05:02 AM - Nathan Edgars Il

I don't know what 'qgis master' is.

#3 - 2015-04-19 05:06 AM - Giovanni Manghi

Nathan Edgars Il wrote:

I don't know what ‘qgis master'is.

qgis master is the development version of qgis. Are you on Windows? if yes you can install it easily by using the osgeo4w installer and follow the "advanced

install". There the package is called "qgis-dev".

#4 - 2015-04-19 05:30 AM - Nathan Edgars Il

| give up...

qgis-dev-bin.exe - Unable To Locate Component

This application has failed to start because qgis_core.dll was not found. Re-installing the application may fix this problem.
#5 - 2015-04-19 08:42 AM - Giovanni Manghi

Nathan Edgars Il wrote:

1 give up...

qgis-dev-bin.exe - Unable To Locate Component

This application has failed to start because qgis_core.dll was not found. Re-installing the application may fix this problem.

if you don't want to use the shortcut then the launcher is

C:\OSGeo4W\\bin\\qgis-dev-g6.4.4.bat

#6 - 2015-04-19 08:57 AM - Nathan Edgars Il

- File us-palr1927.zip added

Ah, now | see the shortcut.

And this is odd. It happens for a shapefile and .qgs file | created years ago, but not for a new .qgs file. I've attached the file; just draw two new overlapping

lines and try adding a point.

#7 - 2015-05-10 11:52 AM - Giovanni Manghi

Nathan Edgars Il wrote:

Ah, now | see the shortcut.

And this is odd. It happens for a shapefile and .qgs file | created years ago, but not for a new .qgs file. I've attached the file; just draw two new

overlapping lines and try adding a point.

it still works as expected in all tests | made on both Windows and Linux. Maybe you have a 3rd party plugin that is interfering?

#8 - 2015-05-31 11:15 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.

Files

us-palr1927.zip 474 KB 2015-04-19 Nathan Edgars Il
